import { Bot as GBot } from '@qq-guild-sdk/core';
import { Adapter, App } from 'koishi-core';
import { QQGuildBot } from './bot';
declare module 'koishi-core' {
    interface AppOptions {
        qqguild?: AdapterConfig;
    }
    namespace Bot {
        interface Platforms {
            qqguild: QQGuildBot;
        }
    }
}
declare type Optional<T, K extends keyof T> = Pick<Partial<T>, K> & Omit<T, K>;
export interface AdapterConfigStrict extends GBot.Options {
    indents: GBot.Intents | number;
}
export declare type AdapterConfig = Optional<AdapterConfigStrict, 'sandbox'>;
export declare const adapterConfigDefault: {
    sandbox: boolean;
    endpoint: string;
    authType: "bot";
};
export declare class QQGuildAdapter extends Adapter<'qqguild'> {
    config: AdapterConfigStrict;
    constructor(app: App);
    start(): Promise<void>;
    stop(): Promise<void>;
}
export {};
