"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QQGuildBot = void 0;
const koishi_core_1 = require("koishi-core");
const adaptGuild = (guild) => ({
    groupId: guild.id,
    groupName: guild.name,
});
class QQGuildBot extends koishi_core_1.Bot {
    $innerBot;
    async sendMessage(channelId, content, guildId) {
        if (!this.$innerBot)
            throw new Error('no internal bot');
        const resp = await this.$innerBot.send.channel(channelId, content);
        return resp.id;
    }
    async getGuildList() {
        if (!this.$innerBot)
            throw new Error('no internal bot');
        return this.$innerBot.guilds.then((guilds) => guilds.map(adaptGuild));
    }
    async $replyMessage(messageId, channelId, content) {
        if (!this.$innerBot)
            throw new Error('no internal bot');
        const resp = await this.$innerBot.send.channel.reply(messageId, channelId, content);
        return resp.id;
    }
}
exports.QQGuildBot = QQGuildBot;
QQGuildBot.prototype[koishi_core_1.Session.send] = async function (session, message) {
    if (!session.channelId)
        throw new Error('QQ Guild session without channel id:' + session);
    if (!message)
        return;
    if (session.platform === 'qqguild' &&
        session.type === 'message' &&
        session.subtype === 'group' &&
        session.messageId)
        await this.$replyMessage(session.messageId, session.channelId, message);
    else {
        await this.sendMessage(session.channelId, message, session.groupId);
    }
};
